Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class JimiRasterImageCategorizer

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.JimiRasterImageCategorizer

public class JimiRasterImageCategorizer
extends java.lang.Object

Class providing static methods for categorizing JimiRasterImages.

Constructor Summary
`JimiRasterImageCategorizer()`

Method Summary
`static boolean` | `isBytePaletteImage(JimiImage image)` Checks if the image is a ByteRasterImage with an IndexColorModel
`static boolean` | `isGrayscaleImage(JimiImage image)` Checks if the image is grayscale.
`static boolean` | `isLongRasterImage(JimiImage image)` Checks if the image is a 64-bit LongRasterImage.
`static boolean` | `isMonoColorImage(JimiImage image)` Checks if the image is mono-color.
`static boolean` | `isPaletteImage(JimiImage image)` Checks if the image is a JimiRasterImage with an IndexColorModel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JimiRasterImageCategorizer

    public JimiRasterImageCategorizer()

Method Detail

### isPaletteImage

    public static boolean isPaletteImage(JimiImage image)

  Checks if the image is a JimiRasterImage with an IndexColorModel.
  Parameters:
    `image` - image check
  Returns:
    true if this is a palette image

### isBytePaletteImage

    public static boolean isBytePaletteImage(JimiImage image)

  Checks if the image is a ByteRasterImage with an IndexColorModel
  Parameters:
    `image` - image to check
  Returns:
    true if this is an 8-bit palette image

### isMonoColorImage

    public static boolean isMonoColorImage(JimiImage image)

  Checks if the image is mono-color.
  Parameters:
    `image` - the image to check
  Returns:
    true if the image uses an IndexColorModel with 2 entries

### isGrayscaleImage

    public static boolean isGrayscaleImage(JimiImage image)

  Checks if the image is grayscale.
  Parameters:
    `image` - the image to check
  Returns:
    true if the image uses a DirectColorModel with identical R/G/B masks

### isLongRasterImage

    public static boolean isLongRasterImage(JimiImage image)

  Checks if the image is a 64-bit LongRasterImage.
  Parameters:
    `image` - the image to check
  Returns:
    true if the image is a LongRasterImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD